## org.codehaus.groovy.control.messages
Class SyntaxErrorMessage

A class for error messages produced by the parser system.

author:
  Chris Poirier

version:
  $Id: SyntaxErrorMessage.java 7899 2007-09-03 11:25:08Z paulk $

Field Summary
`SyntaxException` | `cause`
`SourceUnit` | `source`

Constructor Summary
`SyntaxErrorMessage(SyntaxException cause, SourceUnit source)`

Method Summary
`SyntaxException` | `getCause()` Returns the underlying SyntaxException.
`void` | `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the syntax error.

Constructor Detail

### SyntaxErrorMessage

    public SyntaxErrorMessage(SyntaxException cause, SourceUnit source)

Method Detail

### getCause

    public SyntaxException getCause()

  Returns the underlying SyntaxException.

### write

    public void write(PrintWriter output, Janitor janitor)

  Writes out a nicely formatted summary of the syntax error.